%global theme_name    Zukini
%global deviantart_id 272660042
%global author        lassekongo83
%global tag           d4ic1u2

Name:           zukini
Version:        20120817
Release:        3%{?dist}
Summary:        Themes for GTK+2, GTK+3, Metacity and GNOME Shell
Group:          User Interface/Desktops

License:        GPLv3
URL:            http://%{author}.deviantart.com/art/%{theme_name}-%{deviantart_id}
Source0:        http://www.deviantart.com/download/%{deviantart_id}/%{name}_by_%{author}-%{tag}.zip

# This patch removes "Ubuntu" and "Trebuchet MS" from "font-family" in 
# gnome-shell.css (because these fonts are not available in Fedora) and a 
# reference to Unity-related stuff from Zukini/gtk-3.0/gtk.css.
Patch0:         %{name}-%{version}-rmnotavail.patch

BuildArch:      noarch      

%description
The %{theme_name} themes for GTK+2, GTK+3, Metacity and GNOME Shell, created by 
%{author}.


%package common
Summary:        Files common to %{theme_name} themes
Group:          User Interface/Desktops
%if 0%{?fedora} >= 18
Provides:       gnome-shell-theme-%{name} = %{version}-%{release}
Obsoletes:      gnome-shell-theme-%{name} < %{version}-%{release}
%endif

%description common
Files which are common to all %{theme_name} themes.


%package gtk2-theme
Summary:        %{theme_name} GTK+2 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gtk-murrine-engine >= 0.98.1.1, gtk2-engines

%description gtk2-theme
Themes for GTK+2 as part of the %{theme_name} theme.


%package gtk3-theme
Summary:        %{theme_name} GTK+3 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gtk-unico-engine >= 1.0.2

%description gtk3-theme
Themes for GTK+3 as part of the %{theme_name} theme.


%package metacity-theme
Summary:        %{theme_name} Metacity themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, metacity

%description metacity-theme
Themes for Metacity as part of the %{theme_name} theme.

%if 0%{?fedora} < 18
%package -n gnome-shell-theme-%{name}
Summary:        %{theme_name} GNOME Shell theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gnome-shell-extension-user-theme >= 3.4, google-droid-sans-fonts

%description -n gnome-shell-theme-%{name}
%{theme_name} GNOME Shell theme.
%endif


%prep
%setup -q -c -n %{name}_by_%{author}-%{tag}
%patch0 -p0

# Remove "Thumbs.db" files
find . -name Thumbs.db -type f -exec rm -f '{}' \;
# Fix end-of-line encoding of "README"
sed -i 's/\r//' README
# Fix text encoding of "README" 
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
# Remove Unity stuff
rm %{theme_name}/gtk-3.0/apps/unity.css
rm -r %{theme_name}/unity/


%build
# Nothing to build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr %{theme_name}/* %{buildroot}%{_datadir}/themes/%{theme_name}
%if 0%{?fedora} > 17
rm -rf %{buildroot}%{_datadir}/themes/%{theme_name}/gnome-shell
%endif


%files common
%doc COPYING README
%dir %{_datadir}/themes/%{theme_name}/


%files gtk2-theme
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files gtk3-theme
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files metacity-theme
%{_datadir}/themes/%{theme_name}/metacity-1/


%if 0%{?fedora} < 18
%files -n gnome-shell-theme-%{name}
%{_datadir}/themes/%{theme_name}/gnome-shell/
%endif


%changelog
* Tue Nov 20 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 20120817-3
- Add fields "Provides" and "Obsoletes" to the "common" subpackage

* Sun Nov 04 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 20120817-2
- Package the GNOME Shell theme only for Fedora up to 17

* Fri Aug 17 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 20120817-1
- Update to latest upstream version

* Sun Jul 15 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 20120708-1
- Update to latest upstream version
- Add a "common" subpackage which owns files that are common to all themes

* Sat Jul 07 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 20120702-1
- Update to latest upstream version

* Mon Jun 18 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 20120612-1
- Update to latest upstream version

* Sun Jun 10 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 20120607-1
- Initial package for Fedora
